HSQLDialect.ReadUncommittedLockingStrategy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect
Class HSQLDialect.ReadUncommittedLockingStrategy

    java.lang.Object
      org.hibernate.dialect.lock.AbstractSelectLockingStrategy
          org.hibernate.dialect.lock.SelectLockingStrategy
              org.hibernate.dialect.HSQLDialect.ReadUncommittedLockingStrategy

All Implemented Interfaces:
  LockingStrategy

Enclosing class:
  HSQLDialect

    public static class HSQLDialect.ReadUncommittedLockingStrategy

extends SelectLockingStrategy

Constructor Summary
`HSQLDialect.ReadUncommittedLockingStrategy(Lockable lockable, LockMode lockMode)`

Method Summary
`void` | `lock(Serializable id, Object version, Object object, int timeout, SessionImplementor session)` Acquire an appropriate type of lock on the underlying data that will endure until the end of the current transaction.

Methods inherited from class org.hibernate.dialect.lock.SelectLockingStrategy
`generateLockString`

Methods inherited from class org.hibernate.dialect.lock.AbstractSelectLockingStrategy
`determineSql, getLockable, getLockMode, getNoWaitSql`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSQLDialect.ReadUncommittedLockingStrategy

    public HSQLDialect.ReadUncommittedLockingStrategy(Lockable lockable,
                                                      LockMode lockMode)

Method Detail

### lock

    public void lock(Serializable id,
                     Object version,
                     Object object,
                     int timeout,
                     SessionImplementor session)
              throws StaleObjectStateException,
                     JDBCException

  Description copied from interface: `LockingStrategy`
  Acquire an appropriate type of lock on the underlying data that will endure until the end of the current transaction.

  Specified by:
    `lock` in interface `LockingStrategy`
  Overrides:
    `lock` in class `SelectLockingStrategy`
  Parameters:
    `id` - The id of the row to be locked
    `version` - The current version (or null if not versioned)
    `object` - The object logically being locked (currently not used)
    `timeout` - timeout in milliseconds, 0 = no wait, -1 = wait indefinitely
    `session` - The session from which the lock request originated
  Throws:
    `StaleObjectStateException` - Indicates an inability to locate the database row as part of acquiring the requested lock.
    `JDBCException`
  See Also:
    `LockingStrategy.lock(java.io.Serializable, java.lang.Object, java.lang.Object, int, org.hibernate.engine.spi.SessionImplementor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.